using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Text.RegularExpressions;

namespace Commission
{
    public partial class Faculty : Form
    {
        public Faculty()
        {
            InitializeComponent();
        }

        private void b_back_Click(object sender, EventArgs e)
        {
            Hide();
            Menu menu = new Menu();
            menu.Show();
            menu.Location = Location;
            DataBase.diagWrite("Переход на форму Главное меню");
        }

        /// <summary>
        /// Проверка данных на корректность перед сохранением в БД
        /// </summary>
        /// <param name="check">Проверка пройдена (true) или нет (false)</param>
        private void checkData(ref bool check)
        {
            try
            {
                if (t_faculty.Text == "")
                {
                    MessageBox.Show("Введите наименование факультета корректно!", "Оформление продажи", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
                else
                {
                    check = true;
                }
            }
            catch
            {
                MessageBox.Show("Возникла ошибка. Проверьте введённые данные!", "Добавление факультета", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }

        /// <summary>
        /// Добавление данных в БД
        /// </summary>
        private void fillTable(string faculty)
        {
            SqlCommand command = new SqlCommand("INSERT INTO Faculty VALUES(@faculty)", DataBase.connection());
            command.Parameters.AddWithValue("faculty", t_faculty.Text);
            command.ExecuteNonQuery();
        }
        private void b_faculty_add_Click(object sender, EventArgs e)
        {
            bool check = false;
            checkData(ref check);
            if (check)
            {
                fillTable(t_faculty.Text);
                MessageBox.Show("Факультет успешно добавлен!", "Добавление специальности", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

        private void Faculty_FormClosed(object sender, FormClosedEventArgs e)
        {
            Application.Exit();
        }
    }
}
